;  Prog49 - Doing Video Output - First Get Voltage Levels Correct.  
;
;  
;  To get the Correct Voltage Levels:
;   0.00 Volts (Synch/"Blacker than Black")
;   0.35 Volts (Synch)
;   0.43 Volts (Black)
;   0.87 Volts (White)
;
;  Myke Predko
;  98.07.02
;
;  Hardware Notes:
;  DS87C520 is used as the Microcontroller
;   - Oscillator Speed is 11.0592 MHz
;  P0.0 is Used for "Synch" Select
;  P0.1 is Used for "Blank" Select
;  P0.2 is Used for "Black" Select  


;  Constant Declarations
Zero  EQU 0FEh                  ;  Zero Volts Output Using P0
Synch EQU 0FBh                  ;  Synch Voltage
Black EQU 0FDh                  ;  Black Level
White EQU 0FFh                  ;  White on the Screen

;  Variable Declarations


;  Macros


;  Mainline
 org 0                          ;  Execution Starts Here
MainLine:                       ;  Mainline of the Program

  mov     P0,#Zero              ;  0 Volts

  mov     P0,#Synch             ;  Synch
  
  mov     P0,#Black             ;  Black

  mov     P0,#White             ;  White

  ajmp    MainLine
