;  PROG8A - Using the Bank Registers as Indexes into External Memory
;
;  This Program Uses R0 as an 8 Bit Index Register to Access Scratchpad RAM.
;
;  This program will run in the UMPS simulator for a DS80C320.
;
;  Myke Predko
;  98.02.12
;
;  Hardware Notes:
;   This program is only meant to run on the Simulator

;  Variable Declarations
;   No explicit Variables are used for this program.

;  Mainline
 org 0                          ;  Execution Starts Here

  mov    R0,#043h               ;  Point to a Different Area in External Memory

  mov    A,#12                  ;  Store a Sample Message
  movx   @R0,A                  ;   In External Memory

  mov    A,#34

  movx   A,@R0                  ;  Retrieve the Message from Memory


Loop:                           ;  Loop Here Forever when Finished
  ajmp   Loop
